KRB5_CONTEXT(3)

NAME
krb5_init_context, krb5_free_context - create and delete krb5_context structures

LIBRARY
Kerberos 5 Library (libkrb5, -lkrb5)

SYNOPSIS
#include <krb5.h>
krb5_error_code
krb5_init_context(krb5_context *context);
void
krb5_free_context(krb5_context context);

DESCRIPTION
The krb5_init_context() function initializes the context structure and reads the configuration file /etc/krb5.conf.

The structure should be freed by calling krb5_free_context() when it is no longer being used.

RETURN VALUES
krb5_init_context() returns 0 to indicate success. Otherwise an errno code is returned. Failure means either that something bad happened during initialization (typically [ENOMEM]) or that Kerberos should not be used [ENXIO].

SEE ALSO
errno(2), krb5_context(3), kerberos(8)